/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { SortOrder } from '../../../common/ui';

export const CASES_TABLE_PERPAGE_VALUES = [10, 25, 50, 100];

export interface EuiBasicTableSortTypes {
  field: string;
  direction: SortOrder;
}

export interface EuiBasicTableOnChange {
  page: {
    index: number;
    size: number;
  };
  sort?: EuiBasicTableSortTypes;
}
export interface Solution {
  id: string;
  label: string;
  iconType: string;
}

export interface CasesColumnSelection {
  field: string;
  name: string;
  isChecked: boolean;
}
